Summary:    A completely open audiocodec
Name:       wavpack
Version:    5.6.0
Release:    1%{?dist}
License:    BSD
Url:        http://www.wavpack.com
Source:     %{url}/%{name}-%{version}.tar.bz2

BuildRequires: make autoconf automake libtool gettext-devel

%description
WavPack is a completely open audio compression format providing lossless, high-quality lossy, and a unique
hybrid compression mode. Although the technology is loosely based on previous versions of WavPack, the new
version 4 format has been designed from the ground up to offer unparalleled performance and functionality.

%package     devel
Summary:     WavPack - development files
Requires:    %{name} = %{version}-%{release}
Requires:    pkgconfig

%description devel
Files needed for developing apps using wavpack

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-static --disable-rpath
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -rf %{buildroot}/%{_docdir}/

%files
%license COPYING
%doc AUTHORS doc/wavpack_doc.html
%{_bindir}/*
%{_libdir}/libwavpack.so.*
%{_mandir}/man1/wavpack.1*
%{_mandir}/man1/wvgain.1*
%{_mandir}/man1/wvunpack.1*
%{_mandir}/man1/wvtag.1*

%files devel
%doc ChangeLog doc/WavPack5PortingGuide.pdf doc/WavPack5LibraryDoc.pdf doc/WavPack5FileFormat.pdf
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libwavpack.so

%changelog
* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 5.6.0-1
- update to 5.6.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.4.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 5 2022 Shuo Wang <abushwang@tencent.com> - 5.4.0-1
- initial build
